/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation.
 * Licensed Material - Property of IBM. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ui.examples.navigator;

import java.util.List;

/**
 * Provides a simple model of a name=value pair from a *.properties file.
 * 
 * @since 3.2
 */
public class Location { 
 
	private String mCountry, mCity, mSite, mBuilding, mFloor, mRoom;  
	private int mCatagory;
	private List mChildLocations, mServerList;

	/**
	 * Create a property with the given name and value contained by the given file. 
	 *  
	 * @param aName The name of the property.
	 * @param aValue The value of the property.
	 * @param aFile The file that defines this property.
	 */
	public Location(String aCountry, String aCity, String aSite, String aBuilding, String aFloor, String aRoom,
			int aCatagory, List aChildLocations, List aServerList)
			{ 
				mCountry=aCountry;
				mCity=aCity;
				mSite=aSite;
				mBuilding=aBuilding;
				mFloor=aFloor;
				mRoom=aRoom;
				mCatagory=aCatagory;
				mChildLocations=aChildLocations;
				mServerList=aServerList;
	}

	public String getMBuilding() {
		return mBuilding;
	}

	public void setMBuilding(String building) {
		mBuilding = building;
	}

	public int getMCatagory() {
		return mCatagory;
	}

	public void setMCatagory(int catagory) {
		mCatagory = catagory;
	}

	public List getMChildLocations() {
		return mChildLocations;
	}

	public void setMChildLocations(List childLocations) {
		mChildLocations = childLocations;
	}

	public String getMCity() {
		return mCity;
	}

	public void setMCity(String city) {
		mCity = city;
	}

	public String getMCountry() {
		return mCountry;
	}

	public void setMCountry(String country) {
		mCountry = country;
	}

	public String getMFloor() {
		return mFloor;
	}

	public void setMFloor(String floor) {
		mFloor = floor;
	}

	public String getMRoom() {
		return mRoom;
	}

	public void setMRoom(String room) {
		mRoom = room;
	}

	public List getMServerList() {
		return mServerList;
	}

	public void setMServerList(List serverList) {
		mServerList = serverList;
	}

	public String getMSite() {
		return mSite;
	}

	public void setMSite(String site) {
		mSite = site;
	} 
	
	
	

}
