/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation.
 * Licensed Material - Property of IBM. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ui.examples.navigator;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.navigator.IDescriptionProvider;

/**
 * Provides a label and icon for objects of type {@link Server}.
 * 
 * @since 3.2
 *
 */
public class PropertiesLabelProvider extends LabelProvider implements
		ILabelProvider, IDescriptionProvider {
  

	public Image getImage(Object element) {
//
//		if( ((Element)element).getParent().getParent()==null ){
//			return PlatformUI.getWorkbench().getSharedImages().getImage(
//					ISharedImages.IMG_OBJ_FOLDER);
//		}
//		else{
		if (element instanceof Location) {
			return PlatformUI.getWorkbench().getSharedImages().getImage(
					ISharedImages.IMG_OBJ_FOLDER);
		}
		return PlatformUI.getWorkbench().getSharedImages().getImage(
				ISharedImages.IMG_OBJS_INFO_TSK);
	
		
	}

	public String getText(Object element) {

			if (element instanceof Location) {
			return  ((Location)element).getMCity() + "(" + ((Location)element).getMCountry() + ")"; //$NON-NLS-1$ //$NON-NLS-2$
		}else			if (element instanceof Server) {
			return  ((Server)element).getMHostname();
		}
			
			
		return "ihu"; //$NON-NLS-1$
	}

	public String getDescription(Object anElement) {
//
//			if (anElement instanceof Element) {
//			return ((Element)anElement).getName();
//		}
		return "ihu"; //$NON-NLS-1$
	}
  
}
