/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation.
 * Licensed Material - Property of IBM. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ui.examples.navigator;

/**
 * Provides a simple model of a name=value pair from a *.properties file.
 * 
 * @since 3.2
 */
public class Server {

	private String mId;

	private String mHostname;

	private String mDescription;

	/**
	 * Create a property with the given name and value contained by the given
	 * file.
	 * 
	 * @param aName
	 *            The name of the property.
	 * @param aValue
	 *            The value of the property.
	 * @param aFile
	 *            The file that defines this property.
	 */
	public Server(String aId, String aHostname, String aDescription) {
		mId = aId;
		mHostname = aHostname;
		mDescription = aDescription;
	}

	/**
	 * @return Returns the mDescription.
	 */
	public String getMDescription() {
		return mDescription;
	}

	/**
	 * @param description
	 *            The mDescription to set.
	 */
	public void setMDescription(String description) {
		mDescription = description;
	}

	/**
	 * @return Returns the mHostname.
	 */
	public String getMHostname() {
		return mHostname;
	}

	/**
	 * @param hostname
	 *            The mHostname to set.
	 */
	public void setMHostname(String hostname) {
		mHostname = hostname;
	}

	/**
	 * @return Returns the mId.
	 */
	public String getMId() {
		return mId;
	}

	/**
	 * @param id
	 *            The mId to set.
	 */
	public void setMId(String id) {
		mId = id;
	}

	public int hashCode() {
		return mId.hashCode();
	}

	public boolean equals(Object obj) {
		return obj instanceof Server && ((Server) obj).getMId().equals(mId);
	}

}
